Package com.ads.api.beans.mm

# Class Mapping

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.mm.Mapping

public class Mapping extends Node
This class provides some beans control methods related to mapping details, project, subject and its Audit Specifications. This class extends Node class wherein it specifies whether the node comply to mapping, project, subject, component, field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mapping()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActualDevelopLevelOfEffort()`
  Returns the actual level of effort.
  `float`
  `getActualETLEffort()`
  Returns the actualETLEffort.
  `String`
  `getActualETLEffortUnits()`
  Returns the actualETLEffortUnits.
  `float`
  `getActualMappingEffort()`
  Returns the actualMappingEffort.
  `String`
  `getActualMappingEffortUnits()`
  Returns the actualMappingEffortUnits.
  `String`
  `getActualNotes()`
  Returns the actualNotes.
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory.
  `String`
  `getChangedDescription()`
  Returns the changedDescription.
  `Date`
  `getEffectiveDate()`
  Returns effectiveDate Value.
  `List<KeyValue>`
  `getExtendedProperties()`
  `String`
  `getJobXRef()`
  Returns the jobXRef.
  `String`
  `getMappingDescription()`
  Returns the mappingDescription.
  `ArrayList<Document>`
  `getMappingDocuments()`
  Returns the mappingDocuments Details i.e DocumentName, DocumentType, DocumentObject etc...
  `int`
  `getMappingId()`
  Returns the mappingId.
  `String`
  `getMappingName()`
  Returns the mappingName.
  `ArrayList<MappingSpecificationRow>`
  `getMappingSpecifications()`
  Returns the mappingSpecifications like mappingId, mappingSequenceId, sourceName, sourceEnvironemntName etc...
  `float`
  `getMappingSpecVersion()`
  Returns the mappingSpecVersion.
  `int`
  `getMappingStateId()`
  Returns mappingStateId Value
  `String`
  `getMappingStateName()`
  Returns mappingStateName Value.
  `String`
  `getMappingStatus()`
  Returns the mappingStatus.
  `int`
  `getMappingSubStateId()`
  Returns mappingSubStateId Value.
  `String`
  `getMappingSubStateName()`
  Returns mappingSubStateName Value.
  `String`
  `getPlannedDevelopmentLevelOfEffort()`
  Returns the planned LevelOfEffort.
  `float`
  `getPlannedETLEffort()`
  Returns the plannedETLEffort.
  `String`
  `getPlannedETLEffortUnits()`
  Returns the plannedETLEffortUnits.
  `float`
  `getPlannedMappingEffort()`
  Returns the plannedMappingEffort.
  `String`
  `getPlannedMappingEffortUnits()`
  Returns the plannedMappingEffortUnits.
  `String`
  `getPlannedNotes()`
  Returns the plannedNotes.
  `int`
  `getProjectId()`
  Returns the projectId.
  `String`
  `getPublishNotes()`
  Returns publishNotes Value.
  `String`
  `getSourceExtractDescription()`
  Returns the Description of sourceExtractQuery.
  `String`
  `getSourceExtractQuery()`
  Returns the sourceExtractQuery.
  `int`
  `getSubjectId()`
  Returns the subjectId.
  `String`
  `getTargetUpdateStrategy()`
  Returns the targetUpdateStrategy.
  `String`
  `getTargetUpgateStrategyNotes()`
  Returns the targetUpgateStrategyNotes.
  `String`
  `getTestDisposition()`
  Returns the testDisposition.
  `String`
  `getTestingNotes()`
  Returns the testingNotes.
  `String`
  `getUserDefined1()`
  Returns UserDefinedField1 Value.
  `String`
  `getUserDefined10()`
  Returns UserDefinedField10 Value.
  `String`
  `getUserDefined11()`
  Returns UserDefinedField11 Value.
  `String`
  `getUserDefined12()`
  Returns UserDefinedField12 Value.
  `String`
  `getUserDefined13()`
  Returns UserDefinedField13 Value.
  `String`
  `getUserDefined14()`
  Returns UserDefinedField14 Value.
  `String`
  `getUserDefined15()`
  Returns UserDefinedField15 Value.
  `String`
  `getUserDefined16()`
  Returns UserDefinedField16 Value.
  `String`
  `getUserDefined17()`
  Returns UserDefinedField17 Value.
  `String`
  `getUserDefined18()`
  Returns UserDefinedField18 Value.
  `String`
  `getUserDefined19()`
  Returns UserDefinedField19 Value.
  `String`
  `getUserDefined2()`
  Returns UserDefinedField2 Value.
  `String`
  `getUserDefined20()`
  Returns UserDefinedField20 Value.
  `String`
  `getUserDefined21()`
  Returns UserDefinedField21 Value.
  `String`
  `getUserDefined22()`
  Returns UserDefinedField22 Value.
  `String`
  `getUserDefined23()`
  Returns UserDefinedField23 Value.
  `String`
  `getUserDefined24()`
  Returns UserDefinedField24 Value.
  `String`
  `getUserDefined25()`
  Returns UserDefinedField25 Value.
  `String`
  `getUserDefined26()`
  Returns UserDefinedField26 Value.
  `String`
  `getUserDefined27()`
  Returns UserDefinedField27 Value.
  `String`
  `getUserDefined28()`
  Returns UserDefinedField28 Value.
  `String`
  `getUserDefined29()`
  Returns UserDefinedField29 Value.
  `String`
  `getUserDefined3()`
  Returns UserDefinedField3 Value.
  `String`
  `getUserDefined30()`
  Returns UserDefinedField30 Value.
  `String`
  `getUserDefined31()`
  Returns UserDefinedField31 Value.
  `String`
  `getUserDefined32()`
  Returns UserDefinedField32 Value.
  `String`
  `getUserDefined33()`
  Returns UserDefinedField33 Value.
  `String`
  `getUserDefined34()`
  Returns UserDefinedField34 Value.
  `String`
  `getUserDefined35()`
  Returns UserDefinedField35 Value.
  `String`
  `getUserDefined36()`
  Returns UserDefinedField36 Value.
  `String`
  `getUserDefined37()`
  Returns UserDefinedField37 Value.
  `String`
  `getUserDefined38()`
  Returns UserDefinedField38 Value.
  `String`
  `getUserDefined39()`
  Returns UserDefinedField39 Value.
  `String`
  `getUserDefined4()`
  Returns UserDefinedField4 Value.
  `String`
  `getUserDefined40()`
  Returns UserDefinedField40 Value.
  `String`
  `getUserDefined41()`
  Returns userDefined41 Value.
  `String`
  `getUserDefined42()`
  Returns userDefined42 Value.
  `String`
  `getUserDefined43()`
  Returns userDefined43 Value.
  `String`
  `getUserDefined44()`
  Returns userDefined44 Value.
  `String`
  `getUserDefined45()`
  Returns userDefined45 Value.
  `String`
  `getUserDefined5()`
  Returns UserDefinedField5 Value.
  `String`
  `getUserDefined6()`
  Returns UserDefinedField6 Value.
  `String`
  `getUserDefined7()`
  Returns UserDefinedField7 Value.
  `String`
  `getUserDefined8()`
  Returns UserDefinedField8 Value.
  `String`
  `getUserDefined9()`
  Returns UserDefinedField9 Value.
  `String`
  `getVersionLabel()`
  Returns the versionLabel.
  `boolean`
  `isPublished()`
  Returns published Value as True or False.
  `boolean`
  `isUpdateSourceMetadata()`
  Returns the value of updateSourceMetadata as True or False.
  `boolean`
  `isUpdateTargetMetadata()`
  Returns the value of updateTargetMetadata as True or False.
  `void`
  `setActualDevelopLevelOfEffort(String actualDevelopLevelOfEffort)`
  Method sets the actual level of effort as specified.
  `void`
  `setActualETLEffort(float actualETLEffort)`
  Method sets the actualETLEffort as specified.
  `void`
  `setActualETLEffortUnits(String actualETLEffortUnits)`
  Method sets the actualETLEffortUnits as specified.
  `void`
  `setActualMappingEffort(float actualMappingEffort)`
  Method sets the actualMappingEffort as specified.
  `void`
  `setActualMappingEffortUnits(String actualMappingEffortUnits)`
  Method sets the actualMappingEffortUnits as specified.
  `void`
  `setActualNotes(String actualNotes)`
  Method sets the actualNotes as specified.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory as specified.
  `void`
  `setChangedDescription(String changedDescription)`
  Method sets the changedDescription as specified.
  `void`
  `setEffectiveDate(Date effectiveDate)`
  Method sets the effectiveDate value as specified.
  `void`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  `void`
  `setJobXRef(String jobXRef)`
  Method sets the jobXRef as specified.
  `void`
  `setMappingDescription(String mappingDescription)`
  Method sets the mappingDescription.
  `void`
  `setMappingDocuments(ArrayList<Document> mappingDocuments)`
  Method sets the mappingDocuments as specified.
  `void`
  `setMappingId(int mappingId)`
  Method used to set the mappingId.
  `void`
  `setMappingName(String mappingName)`
  Method used to set the mappingName.
  `void`
  `setMappingSpecifications(ArrayList<MappingSpecificationRow> mappingSpecifications)`
  Method sets the mappingSpecifications as specified.
  `void`
  `setMappingSpecVersion(float mappingSpecVersion)`
  Method sets the mappingSpecVersion.
  `void`
  `setMappingStateId(int mappingStateId)`
  Method sets the mappingStateId value as specified.
  `void`
  `setMappingStateName(String mappingStateName)`
  Method sets the mappingStateName value as specified.
  `void`
  `setMappingStatus(String mappingStatus)`
  Method sets the mappingStatus as specified.
  `void`
  `setMappingSubStateId(int mappingSubStateId)`
  Method sets the mappingSubStateId value as specified.
  `void`
  `setMappingSubStateName(String mappingSubStateName)`
  Method sets the mappingSubStateName value as specified.
  `void`
  `setPlannedDevelopmentLevelOfEffort(String plannedDevelopmentLevelOfEffort)`
  Method sets the planned LevelOfEffort as specified.
  `void`
  `setPlannedETLEffort(float plannedETLEffort)`
  Method sets the plannedETLEffort as specified.
  `void`
  `setPlannedETLEffortUnits(String plannedETLEffortUnits)`
  Method sets the plannedETLEffortUnits as specified.
  `void`
  `setPlannedMappingEffort(float plannedMappingEffort)`
  Method sets the plannedMappingEffort as specified.
  `void`
  `setPlannedMappingEffortUnits(String plannedMappingEffortUnits)`
  Method sets the plannedMappingEffortUnits as specified.
  `void`
  `setPlannedNotes(String plannedNotes)`
  Method sets the plannedNotes as specified.
  `void`
  `setProjectId(int projectId)`
  Method sets the projectId as specified.
  `void`
  `setPublished(boolean published)`
  Method sets the published value as specified.
  `void`
  `setPublishNotes(String publishNotes)`
  Method sets the publishNotes value as specified.
  `void`
  `setSourceExtractDescription(String sourceExtractDescription)`
  Method sets the sourceExtractDescription as specified.
  `void`
  `setSourceExtractQuery(String sourceExtractQuery)`
  Method sets the sourceExtractQuery as specified.
  `void`
  `setSubjectId(int subjectId)`
  Method sets the subjectId as specified.
  `void`
  `setTargetUpdateStrategy(String targetUpdateStrategy)`
  Method sets the targetUpdateStrategy as specified.
  `void`
  `setTargetUpgateStrategyNotes(String targetUpgateStrategyNotes)`
  Method sets the targetUpgateStrategyNotes as specified.
  `void`
  `setTestDisposition(String testDisposition)`
  Method sets the testDisposition as specified.
  `void`
  `setTestingNotes(String testingNotes)`
  Method sets the testingNotes as specified.
  `void`
  `setUpdateSourceMetadata(boolean updateSourceMetadata)`
  Method sets the updateSourceMetadata as specified.
  `void`
  `setUpdateTargetMetadata(boolean updateTargetMetadata)`
  Method sets the updateTargetMetadata as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Method sets the UserDefinedField1 value as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Method sets the UserDefinedField10 value as specified.
  `void`
  `setUserDefined11(String userDefined11)`
  Method sets the UserDefinedField11 value as specified.
  `void`
  `setUserDefined12(String userDefined12)`
  Method sets the UserDefinedField12 value as specified.
  `void`
  `setUserDefined13(String userDefined13)`
  Method sets the UserDefinedField13 value as specified.
  `void`
  `setUserDefined14(String userDefined14)`
  Method sets the UserDefinedField14 value as specified.
  `void`
  `setUserDefined15(String userDefined15)`
  Method sets the UserDefinedField15 value as specified.
  `void`
  `setUserDefined16(String userDefined16)`
  Method sets the UserDefinedField16 value as specified.
  `void`
  `setUserDefined17(String userDefined17)`
  Method sets the UserDefinedField17 value as specified.
  `void`
  `setUserDefined18(String userDefined18)`
  Method sets the UserDefinedField18 value as specified.
  `void`
  `setUserDefined19(String userDefined19)`
  Method sets the UserDefinedField19 value as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Method sets the userDefined2 value as specified.
  `void`
  `setUserDefined20(String userDefined20)`
  Method sets the UserDefinedField20 value as specified.
  `void`
  `setUserDefined21(String userDefined21)`
  Method sets the UserDefinedField21 value as specified.
  `void`
  `setUserDefined22(String userDefined22)`
  Method sets the UserDefinedField22 value as specified.
  `void`
  `setUserDefined23(String userDefined23)`
  Method sets the UserDefinedField23 value as specified.
  `void`
  `setUserDefined24(String userDefined24)`
  Method sets the UserDefinedField24 value as specified.
  `void`
  `setUserDefined25(String userDefined25)`
  Method sets the UserDefinedField25 value as specified.
  `void`
  `setUserDefined26(String userDefined26)`
  Method sets the UserDefinedField26 value as specified.
  `void`
  `setUserDefined27(String userDefined27)`
  Method sets the UserDefinedField27 value as specified.
  `void`
  `setUserDefined28(String userDefined28)`
  Method sets the UserDefinedField28 value as specified.
  `void`
  `setUserDefined29(String userDefined29)`
  Method sets the UserDefinedField29 value as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Method sets the UserDefinedField3 value as specified.
  `void`
  `setUserDefined30(String userDefined30)`
  Method sets the UserDefinedField30 value as specified.
  `void`
  `setUserDefined31(String userDefined31)`
  Method sets the UserDefinedField31 value as specified.
  `void`
  `setUserDefined32(String userDefined32)`
  Method sets the UserDefinedField32 value as specified.
  `void`
  `setUserDefined33(String userDefined33)`
  Method sets the UserDefinedField33 value as specified.
  `void`
  `setUserDefined34(String userDefined34)`
  Method sets the UserDefinedField34 value as specified.
  `void`
  `setUserDefined35(String userDefined35)`
  Method sets the UserDefinedField35 value as specified.
  `void`
  `setUserDefined36(String userDefined36)`
  Method sets the UserDefinedField36 value as specified.
  `void`
  `setUserDefined37(String userDefined37)`
  Method sets the UserDefinedField37 value as specified.
  `void`
  `setUserDefined38(String userDefined38)`
  Method sets the UserDefinedField38 value as specified.
  `void`
  `setUserDefined39(String userDefined39)`
  Method sets the UserDefinedField39 value as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Method sets the UserDefinedField4 value as specified.
  `void`
  `setUserDefined40(String userDefined40)`
  Method sets the UserDefinedField40 value as specified.
  `void`
  `setUserDefined41(String userDefined41)`
  Method sets the userDefined41 value as specified.
  `void`
  `setUserDefined42(String userDefined42)`
  Method sets the userDefined42 value as specified.
  `void`
  `setUserDefined43(String userDefined43)`
  Method sets the userDefined43 value as specified.
  `void`
  `setUserDefined44(String userDefined44)`
  Method sets the userDefined44 value as specified.
  `void`
  `setUserDefined45(String userDefined45)`
  Method sets the userDefined45 value as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Method sets the UserDefinedField5 value as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Method sets the UserDefinedField6 value as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Method sets the UserDefinedField7 value as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Method sets the UserDefinedField8 value as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Method sets the UserDefinedField9 value as specified.
  `void`
  `setVersionLabel(String versionLabel)`
  Method sets the versionLabel as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Mapping

    public Mapping()

- ## Method Details

  - ### getPlannedMappingEffort

    public float getPlannedMappingEffort()
    Returns the plannedMappingEffort.
    Returns:
      plannedMappingEffort float

  - ### setPlannedMappingEffort

    public void setPlannedMappingEffort(float plannedMappingEffort)
    Method sets the plannedMappingEffort as specified.
    Parameters:
      `plannedMappingEffort` - float

  - ### getMappingId

    public int getMappingId()
    Returns the mappingId.
    Returns:
      mappingId int

  - ### setMappingId

    public void setMappingId(int mappingId)
    Method used to set the mappingId.
    Parameters:
      `mappingId` - int

  - ### getMappingName

    public String getMappingName()
    Returns the mappingName.
    Returns:
      mappingName String

  - ### setMappingName

    public void setMappingName(String mappingName)
    Method used to set the mappingName.
    Parameters:
      `mappingName` - String

  - ### getMappingDescription

    public String getMappingDescription()
    Returns the mappingDescription.
    Returns:
      mappingDescription String

  - ### setMappingDescription

    public void setMappingDescription(String mappingDescription)
    Method sets the mappingDescription.
    Parameters:
      `mappingDescription` - String

  - ### getMappingSpecVersion

    public float getMappingSpecVersion()
    Returns the mappingSpecVersion.
    Returns:
      mappingSpecVersion float

  - ### setMappingSpecVersion

    public void setMappingSpecVersion(float mappingSpecVersion)
    Method sets the mappingSpecVersion.
    Parameters:
      `mappingSpecVersion` - float

  - ### getProjectId

    public int getProjectId()
    Returns the projectId.
    Returns:
      projectId int

  - ### setProjectId

    public void setProjectId(int projectId)
    Method sets the projectId as specified.
    Parameters:
      `projectId` - int

  - ### getSubjectId

    public int getSubjectId()
    Returns the subjectId.
    Returns:
      subjectId int

  - ### setSubjectId

    public void setSubjectId(int subjectId)
    Method sets the subjectId as specified.
    Parameters:
      `subjectId` - int

  - ### getSourceExtractQuery

    public String getSourceExtractQuery()
    Returns the sourceExtractQuery.
    Returns:
      sourceExtractQuery String

  - ### setSourceExtractQuery

    public void setSourceExtractQuery(String sourceExtractQuery)
    Method sets the sourceExtractQuery as specified.
    Parameters:
      `sourceExtractQuery` - String

  - ### getSourceExtractDescription

    public String getSourceExtractDescription()
    Returns the Description of sourceExtractQuery.
    Returns:
      sourceExtractDescription String

  - ### setSourceExtractDescription

    public void setSourceExtractDescription(String sourceExtractDescription)
    Method sets the sourceExtractDescription as specified.
    Parameters:
      `sourceExtractDescription` - String

  - ### getTargetUpdateStrategy

    public String getTargetUpdateStrategy()
    Returns the targetUpdateStrategy.
    Returns:
      targetUpdateStrategy String

  - ### setTargetUpdateStrategy

    public void setTargetUpdateStrategy(String targetUpdateStrategy)
    Method sets the targetUpdateStrategy as specified.
    Parameters:
      `targetUpdateStrategy` - String

  - ### getTargetUpgateStrategyNotes

    public String getTargetUpgateStrategyNotes()
    Returns the targetUpgateStrategyNotes.
    Returns:
      targetUpgateStrategyNotes String

  - ### setTargetUpgateStrategyNotes

    public void setTargetUpgateStrategyNotes(String targetUpgateStrategyNotes)
    Method sets the targetUpgateStrategyNotes as specified.
    Parameters:
      `targetUpgateStrategyNotes` - String

  - ### getTestDisposition

    public String getTestDisposition()
    Returns the testDisposition.
    Returns:
      testDisposition String

  - ### setTestDisposition

    public void setTestDisposition(String testDisposition)
    Method sets the testDisposition as specified.
    Parameters:
      `testDisposition` - String

  - ### getTestingNotes

    public String getTestingNotes()
    Returns the testingNotes.
    Returns:
      testingNotes String

  - ### setTestingNotes

    public void setTestingNotes(String testingNotes)
    Method sets the testingNotes as specified.
    Parameters:
      `testingNotes` - String

  - ### getMappingStatus

    public String getMappingStatus()
    Returns the mappingStatus.
    Returns:
      mappingStatus String

  - ### setMappingStatus

    public void setMappingStatus(String mappingStatus)
    Method sets the mappingStatus as specified.
    Parameters:
      `mappingStatus` - String

  - ### getVersionLabel

    public String getVersionLabel()
    Returns the versionLabel.
    Returns:
      versionLabel String

  - ### setVersionLabel

    public void setVersionLabel(String versionLabel)
    Method sets the versionLabel as specified.
    Parameters:
      `versionLabel` - String

  - ### getChangedDescription

    public String getChangedDescription()
    Returns the changedDescription.
    Returns:
      changedDescription String

  - ### setChangedDescription

    public void setChangedDescription(String changedDescription)
    Method sets the changedDescription as specified.
    Parameters:
      `changedDescription` - String

  - ### getActualDevelopLevelOfEffort

    public String getActualDevelopLevelOfEffort()
    Returns the actual level of effort.
    Returns:
      actualDevelopLevelOfEffort String

  - ### setActualDevelopLevelOfEffort

    public void setActualDevelopLevelOfEffort(String actualDevelopLevelOfEffort)
    Method sets the actual level of effort as specified.
    Parameters:
      `actualDevelopLevelOfEffort` - String

  - ### getActualNotes

    public String getActualNotes()
    Returns the actualNotes.
    Returns:
      actualNotes String

  - ### setActualNotes

    public void setActualNotes(String actualNotes)
    Method sets the actualNotes as specified.
    Parameters:
      `actualNotes` - String

  - ### getPlannedDevelopmentLevelOfEffort

    public String getPlannedDevelopmentLevelOfEffort()
    Returns the planned LevelOfEffort.
    Returns:
      plannedDevelopmentLevelOfEffort String

  - ### setPlannedDevelopmentLevelOfEffort

    public void setPlannedDevelopmentLevelOfEffort(String plannedDevelopmentLevelOfEffort)
    Method sets the planned LevelOfEffort as specified.
    Parameters:
      `plannedDevelopmentLevelOfEffort` - String

  - ### getPlannedNotes

    public String getPlannedNotes()
    Returns the plannedNotes.
    Returns:
      plannedNotes String

  - ### setPlannedNotes

    public void setPlannedNotes(String plannedNotes)
    Method sets the plannedNotes as specified.
    Parameters:
      `plannedNotes` - String

  - ### getPlannedMappingEffortUnits

    public String getPlannedMappingEffortUnits()
    Returns the plannedMappingEffortUnits.
    Returns:
      plannedMappingEffortUnits String

  - ### setPlannedMappingEffortUnits

    public void setPlannedMappingEffortUnits(String plannedMappingEffortUnits)
    Method sets the plannedMappingEffortUnits as specified.
    Parameters:
      `plannedMappingEffortUnits` - String

  - ### getPlannedETLEffort

    public float getPlannedETLEffort()
    Returns the plannedETLEffort.
    Returns:
      plannedETLEffort float

  - ### setPlannedETLEffort

    public void setPlannedETLEffort(float plannedETLEffort)
    Method sets the plannedETLEffort as specified.
    Parameters:
      `plannedETLEffort` - float

  - ### getPlannedETLEffortUnits

    public String getPlannedETLEffortUnits()
    Returns the plannedETLEffortUnits.
    Returns:
      plannedETLEffortUnits String

  - ### setPlannedETLEffortUnits

    public void setPlannedETLEffortUnits(String plannedETLEffortUnits)
    Method sets the plannedETLEffortUnits as specified.
    Parameters:
      `plannedETLEffortUnits` - String

  - ### getActualMappingEffort

    public float getActualMappingEffort()
    Returns the actualMappingEffort.
    Returns:
      actualMappingEffort float

  - ### setActualMappingEffort

    public void setActualMappingEffort(float actualMappingEffort)
    Method sets the actualMappingEffort as specified.
    Parameters:
      `actualMappingEffort` - float

  - ### getActualMappingEffortUnits

    public String getActualMappingEffortUnits()
    Returns the actualMappingEffortUnits.
    Returns:
      actualMappingEffortUnits String

  - ### setActualMappingEffortUnits

    public void setActualMappingEffortUnits(String actualMappingEffortUnits)
    Method sets the actualMappingEffortUnits as specified.
    Parameters:
      `actualMappingEffortUnits` - String

  - ### getActualETLEffort

    public float getActualETLEffort()
    Returns the actualETLEffort.
    Returns:
      actualETLEffort float

  - ### setActualETLEffort

    public void setActualETLEffort(float actualETLEffort)
    Method sets the actualETLEffort as specified.
    Parameters:
      `actualETLEffort` - float

  - ### getActualETLEffortUnits

    public String getActualETLEffortUnits()
    Returns the actualETLEffortUnits.
    Returns:
      actualETLEffortUnits String

  - ### setActualETLEffortUnits

    public void setActualETLEffortUnits(String actualETLEffortUnits)
    Method sets the actualETLEffortUnits as specified.
    Parameters:
      `actualETLEffortUnits` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getMappingSpecifications

    public ArrayList<MappingSpecificationRow> getMappingSpecifications()
    Returns the mappingSpecifications like mappingId, mappingSequenceId, sourceName, sourceEnvironemntName etc...
    Returns:
      mappingSpecifications ArrayList

  - ### setMappingSpecifications

    public void setMappingSpecifications(ArrayList<MappingSpecificationRow> mappingSpecifications)
    Method sets the mappingSpecifications as specified.
    Parameters:
      `mappingSpecifications` - ArrayList

  - ### getMappingDocuments

    public ArrayList<Document> getMappingDocuments()
    Returns the mappingDocuments Details i.e DocumentName, DocumentType, DocumentObject etc...
    Returns:
      mappingDocuments ArrayList

  - ### setMappingDocuments

    public void setMappingDocuments(ArrayList<Document> mappingDocuments)
    Method sets the mappingDocuments as specified.
    Parameters:
      `mappingDocuments` - ArrayList

  - ### getJobXRef

    public String getJobXRef()
    Returns the jobXRef.
    Returns:
      jobXRef String

  - ### setJobXRef

    public void setJobXRef(String jobXRef)
    Method sets the jobXRef as specified.
    Parameters:
      `jobXRef` - String

  - ### isUpdateSourceMetadata

    public boolean isUpdateSourceMetadata()
    Returns the value of updateSourceMetadata as True or False.
    Returns:
      updateSourceMetadata boolean

  - ### setUpdateSourceMetadata

    public void setUpdateSourceMetadata(boolean updateSourceMetadata)
    Method sets the updateSourceMetadata as specified.
    Parameters:
      `updateSourceMetadata` - boolean

  - ### isUpdateTargetMetadata

    public boolean isUpdateTargetMetadata()
    Returns the value of updateTargetMetadata as True or False.
    Returns:
      updateTargetMetadata boolean

  - ### setUpdateTargetMetadata

    public void setUpdateTargetMetadata(boolean updateTargetMetadata)
    Method sets the updateTargetMetadata as specified.
    Parameters:
      `updateTargetMetadata` - boolean

  - ### getUserDefined1

    public String getUserDefined1()
    Returns UserDefinedField1 Value.
    Returns:
      userDefined1 String

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Method sets the UserDefinedField1 value as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns UserDefinedField2 Value.
    Returns:
      userDefined2 String

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Method sets the userDefined2 value as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns UserDefinedField3 Value.
    Returns:
      userDefined3 String

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Method sets the UserDefinedField3 value as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns UserDefinedField4 Value.
    Returns:
      userDefined4 String

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Method sets the UserDefinedField4 value as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns UserDefinedField5 Value.
    Returns:
      userDefined5 String

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Method sets the UserDefinedField5 value as specified.
    Parameters:
      `userDefined5` - String

  - ### isPublished

    public boolean isPublished()
    Returns published Value as True or False.
    Returns:
      published boolean

  - ### setPublished

    public void setPublished(boolean published)
    Method sets the published value as specified.
    Parameters:
      `published` - boolean

  - ### getPublishNotes

    public String getPublishNotes()
    Returns publishNotes Value.
    Returns:
      publishNotes String

  - ### setPublishNotes

    public void setPublishNotes(String publishNotes)
    Method sets the publishNotes value as specified.
    Parameters:
      `publishNotes` - String

  - ### getEffectiveDate

    public Date getEffectiveDate()
    Returns effectiveDate Value.
    Returns:
      effectiveDate Date

  - ### setEffectiveDate

    public void setEffectiveDate(Date effectiveDate)
    Method sets the effectiveDate value as specified.
    Parameters:
      `effectiveDate` - Date

  - ### getMappingStateId

    public int getMappingStateId()
    Returns mappingStateId Value
    Returns:
      mappingStateId int

  - ### setMappingStateId

    public void setMappingStateId(int mappingStateId)
    Method sets the mappingStateId value as specified.
    Parameters:
      `mappingStateId` - int

  - ### getMappingStateName

    public String getMappingStateName()
    Returns mappingStateName Value.
    Returns:
      mappingStateName String

  - ### setMappingStateName

    public void setMappingStateName(String mappingStateName)
    Method sets the mappingStateName value as specified.
    Parameters:
      `mappingStateName` - String

  - ### getMappingSubStateId

    public int getMappingSubStateId()
    Returns mappingSubStateId Value.
    Returns:
      mappingSubStateId int

  - ### setMappingSubStateId

    public void setMappingSubStateId(int mappingSubStateId)
    Method sets the mappingSubStateId value as specified.
    Parameters:
      `mappingSubStateId` - int

  - ### getMappingSubStateName

    public String getMappingSubStateName()
    Returns mappingSubStateName Value.
    Returns:
      mappingSubStateName String

  - ### setMappingSubStateName

    public void setMappingSubStateName(String mappingSubStateName)
    Method sets the mappingSubStateName value as specified.
    Parameters:
      `mappingSubStateName` - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns UserDefinedField6 Value.
    Returns:
      userDefined6 String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Method sets the UserDefinedField6 value as specified.
    Parameters:
      `userDefined6` - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns UserDefinedField7 Value.
    Returns:
      userDefined7 String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Method sets the UserDefinedField7 value as specified.
    Parameters:
      `userDefined7` - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns UserDefinedField8 Value.
    Returns:
      userDefined8 String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Method sets the UserDefinedField8 value as specified.
    Parameters:
      `userDefined8` - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns UserDefinedField9 Value.
    Returns:
      userDefined9 String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Method sets the UserDefinedField9 value as specified.
    Parameters:
      `userDefined9` - String

  - ### getUserDefined10

    public String getUserDefined10()
    Returns UserDefinedField10 Value.
    Returns:
      userDefined10 String

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Method sets the UserDefinedField10 value as specified.
    Parameters:
      `userDefined10` - String

  - ### getUserDefined11

    public String getUserDefined11()
    Returns UserDefinedField11 Value.
    Returns:
      userDefined11 String

  - ### setUserDefined11

    public void setUserDefined11(String userDefined11)
    Method sets the UserDefinedField11 value as specified.
    Parameters:
      `userDefined11` - String

  - ### getUserDefined12

    public String getUserDefined12()
    Returns UserDefinedField12 Value.
    Returns:
      UserDefinedField12 String

  - ### setUserDefined12

    public void setUserDefined12(String userDefined12)
    Method sets the UserDefinedField12 value as specified.
    Parameters:
      `userDefined12` - String

  - ### getUserDefined13

    public String getUserDefined13()
    Returns UserDefinedField13 Value.
    Returns:
      UserDefinedField13 String

  - ### setUserDefined13

    public void setUserDefined13(String userDefined13)
    Method sets the UserDefinedField13 value as specified.
    Parameters:
      `userDefined13` - String

  - ### getUserDefined14

    public String getUserDefined14()
    Returns UserDefinedField14 Value.
    Returns:
      UserDefinedField14 String.

  - ### setUserDefined14

    public void setUserDefined14(String userDefined14)
    Method sets the UserDefinedField14 value as specified.
    Parameters:
      `userDefined14` - String.

  - ### getUserDefined15

    public String getUserDefined15()
    Returns UserDefinedField15 Value.
    Returns:
      UserDefinedField15 String.

  - ### setUserDefined15

    public void setUserDefined15(String userDefined15)
    Method sets the UserDefinedField15 value as specified.
    Parameters:
      `userDefined15` - String

  - ### getUserDefined16

    public String getUserDefined16()
    Returns UserDefinedField16 Value.
    Returns:
      userDefined16 String.

  - ### setUserDefined16

    public void setUserDefined16(String userDefined16)
    Method sets the UserDefinedField16 value as specified.
    Parameters:
      `userDefined16` - String

  - ### getUserDefined17

    public String getUserDefined17()
    Returns UserDefinedField17 Value.
    Returns:
      UserDefinedField17 String

  - ### setUserDefined17

    public void setUserDefined17(String userDefined17)
    Method sets the UserDefinedField17 value as specified.
    Parameters:
      `userDefined17` - String

  - ### getUserDefined18

    public String getUserDefined18()
    Returns UserDefinedField18 Value.
    Returns:
      UserDefinedField18 String.

  - ### setUserDefined18

    public void setUserDefined18(String userDefined18)
    Method sets the UserDefinedField18 value as specified.
    Parameters:
      `userDefined18` - String

  - ### getUserDefined19

    public String getUserDefined19()
    Returns UserDefinedField19 Value.
    Returns:
      UserDefinedField19 String.

  - ### setUserDefined19

    public void setUserDefined19(String userDefined19)
    Method sets the UserDefinedField19 value as specified.
    Parameters:
      `userDefined19` - String

  - ### getUserDefined20

    public String getUserDefined20()
    Returns UserDefinedField20 Value.
    Returns:
      UserDefinedField20 String.

  - ### setUserDefined20

    public void setUserDefined20(String userDefined20)
    Method sets the UserDefinedField20 value as specified.
    Parameters:
      `userDefined20` - String

  - ### getUserDefined21

    public String getUserDefined21()
    Returns UserDefinedField21 Value.
    Returns:
      UserDefined21 String.

  - ### setUserDefined21

    public void setUserDefined21(String userDefined21)
    Method sets the UserDefinedField21 value as specified.
    Parameters:
      `userDefined21` - String

  - ### getUserDefined22

    public String getUserDefined22()
    Returns UserDefinedField22 Value.
    Returns:
      userDefined22 String

  - ### setUserDefined22

    public void setUserDefined22(String userDefined22)
    Method sets the UserDefinedField22 value as specified.
    Parameters:
      `userDefined22` - String

  - ### getUserDefined23

    public String getUserDefined23()
    Returns UserDefinedField23 Value.
    Returns:
      userDefined23 String.

  - ### setUserDefined23

    public void setUserDefined23(String userDefined23)
    Method sets the UserDefinedField23 value as specified.
    Parameters:
      `userDefined23` - String

  - ### getUserDefined24

    public String getUserDefined24()
    Returns UserDefinedField24 Value.
    Returns:
      userDefined24 String.

  - ### setUserDefined24

    public void setUserDefined24(String userDefined24)
    Method sets the UserDefinedField24 value as specified.
    Parameters:
      `userDefined24` - String

  - ### getUserDefined25

    public String getUserDefined25()
    Returns UserDefinedField25 Value.
    Returns:
      userDefined25 String.

  - ### setUserDefined25

    public void setUserDefined25(String userDefined25)
    Method sets the UserDefinedField25 value as specified.
    Parameters:
      `userDefined25` - String

  - ### getUserDefined26

    public String getUserDefined26()
    Returns UserDefinedField26 Value.
    Returns:
      userDefined26 String.

  - ### setUserDefined26

    public void setUserDefined26(String userDefined26)
    Method sets the UserDefinedField26 value as specified.
    Parameters:
      `userDefined26` - String

  - ### getUserDefined27

    public String getUserDefined27()
    Returns UserDefinedField27 Value.
    Returns:
      userDefined27 String.

  - ### setUserDefined27

    public void setUserDefined27(String userDefined27)
    Method sets the UserDefinedField27 value as specified.
    Parameters:
      `userDefined27` - String

  - ### getUserDefined28

    public String getUserDefined28()
    Returns UserDefinedField28 Value.
    Returns:
      userDefined28 String.

  - ### setUserDefined28

    public void setUserDefined28(String userDefined28)
    Method sets the UserDefinedField28 value as specified.
    Parameters:
      `userDefined28` - String

  - ### getUserDefined29

    public String getUserDefined29()
    Returns UserDefinedField29 Value.
    Returns:
      userDefined29 String.

  - ### setUserDefined29

    public void setUserDefined29(String userDefined29)
    Method sets the UserDefinedField29 value as specified.
    Parameters:
      `userDefined29` - String

  - ### getUserDefined30

    public String getUserDefined30()
    Returns UserDefinedField30 Value.
    Returns:
      userDefined30 String.

  - ### setUserDefined30

    public void setUserDefined30(String userDefined30)
    Method sets the UserDefinedField30 value as specified.
    Parameters:
      `userDefined30` - String

  - ### getUserDefined31

    public String getUserDefined31()
    Returns UserDefinedField31 Value.
    Returns:
      userDefined31 String.

  - ### setUserDefined31

    public void setUserDefined31(String userDefined31)
    Method sets the UserDefinedField31 value as specified.
    Parameters:
      `userDefined31` - String.

  - ### getUserDefined32

    public String getUserDefined32()
    Returns UserDefinedField32 Value.
    Returns:
      userDefined32 String.

  - ### setUserDefined32

    public void setUserDefined32(String userDefined32)
    Method sets the UserDefinedField32 value as specified.
    Parameters:
      `userDefined32` - String

  - ### getUserDefined33

    public String getUserDefined33()
    Returns UserDefinedField33 Value.
    Returns:
      userDefined33 String.

  - ### setUserDefined33

    public void setUserDefined33(String userDefined33)
    Method sets the UserDefinedField33 value as specified.
    Parameters:
      `userDefined33` - String

  - ### getUserDefined34

    public String getUserDefined34()
    Returns UserDefinedField34 Value.
    Returns:
      userDefined34 String.

  - ### setUserDefined34

    public void setUserDefined34(String userDefined34)
    Method sets the UserDefinedField34 value as specified.
    Parameters:
      `userDefined34` - String

  - ### getUserDefined35

    public String getUserDefined35()
    Returns UserDefinedField35 Value.
    Returns:
      userDefined35 String.

  - ### setUserDefined35

    public void setUserDefined35(String userDefined35)
    Method sets the UserDefinedField35 value as specified.
    Parameters:
      `userDefined35` - String

  - ### getUserDefined36

    public String getUserDefined36()
    Returns UserDefinedField36 Value.
    Returns:
      userDefined36 String.

  - ### setUserDefined36

    public void setUserDefined36(String userDefined36)
    Method sets the UserDefinedField36 value as specified.
    Parameters:
      `userDefined36` - String

  - ### getUserDefined37

    public String getUserDefined37()
    Returns UserDefinedField37 Value.
    Returns:
      userDefined37 String.

  - ### setUserDefined37

    public void setUserDefined37(String userDefined37)
    Method sets the UserDefinedField37 value as specified.
    Parameters:
      `userDefined37` - String

  - ### getUserDefined38

    public String getUserDefined38()
    Returns UserDefinedField38 Value.
    Returns:
      userDefined38 String.

  - ### setUserDefined38

    public void setUserDefined38(String userDefined38)
    Method sets the UserDefinedField38 value as specified.
    Parameters:
      `userDefined38` - String

  - ### getUserDefined39

    public String getUserDefined39()
    Returns UserDefinedField39 Value.
    Returns:
      userDefined39 String.

  - ### setUserDefined39

    public void setUserDefined39(String userDefined39)
    Method sets the UserDefinedField39 value as specified.
    Parameters:
      `userDefined39` - String

  - ### getUserDefined40

    public String getUserDefined40()
    Returns UserDefinedField40 Value.
    Returns:
      userDefined40 String.

  - ### setUserDefined40

    public void setUserDefined40(String userDefined40)
    Method sets the UserDefinedField40 value as specified.
    Parameters:
      `userDefined40` - String

  - ### getUserDefined41

    public String getUserDefined41()
    Returns userDefined41 Value.
    Returns:
      userDefined41 String.

  - ### setUserDefined41

    public void setUserDefined41(String userDefined41)
    Method sets the userDefined41 value as specified.
    Parameters:
      `userDefined41` - String

  - ### getUserDefined42

    public String getUserDefined42()
    Returns userDefined42 Value.
    Returns:
      userDefined42 String.

  - ### setUserDefined42

    public void setUserDefined42(String userDefined42)
    Method sets the userDefined42 value as specified.
    Parameters:
      `userDefined42` - String

  - ### getUserDefined43

    public String getUserDefined43()
    Returns userDefined43 Value.
    Returns:
      userDefined43 String.

  - ### setUserDefined43

    public void setUserDefined43(String userDefined43)
    Method sets the userDefined43 value as specified.
    Parameters:
      `userDefined43` - String

  - ### getUserDefined44

    public String getUserDefined44()
    Returns userDefined44 Value.
    Returns:
      userDefined44 String.

  - ### setUserDefined44

    public void setUserDefined44(String userDefined44)
    Method sets the userDefined44 value as specified.
    Parameters:
      `userDefined44` - String

  - ### getUserDefined45

    public String getUserDefined45()
    Returns userDefined45 Value.
    Returns:
      userDefined45 String.

  - ### setUserDefined45

    public void setUserDefined45(String userDefined45)
    Method sets the userDefined45 value as specified.
    Parameters:
      `userDefined45` - String

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()

  - ### setExtendedProperties

    public void setExtendedProperties(List<KeyValue> extendedProperties)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`